Page MenuHomePhabricator

Add phan to Flow extension
Closed, ResolvedPublic

Description

As wmf deployed extension the Flow extension should run phan on CI to found simple bugs in an earlier state of development.

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptMay 31 2019, 8:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 495966 had a related patch set uploaded (by Umherirrender; owner: Daimona Eaytoy):
[mediawiki/extensions/Flow@master] [WIP] Add phan

https://gerrit.wikimedia.org/r/495966

Change 521437 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[integration/config@master] Enable phan for Flow

https://gerrit.wikimedia.org/r/521437

Daimona claimed this task.Jul 9 2019, 8:56 AM
JTannerWMF added subscribers: Catrope, JTannerWMF.

@Catrope will take a look at the patches

Change 495966 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Add phan

https://gerrit.wikimedia.org/r/495966

Change 521437 merged by jenkins-bot:
[integration/config@master] Enable phan for Flow

https://gerrit.wikimedia.org/r/521437

Mentioned in SAL (#wikimedia-releng) [2019-07-10T18:27:36Z] <James_F> Zuul: Adding phan to StructuredDiscussions T224759

Jdforrester-WMF closed this task as Resolved.Jul 10 2019, 6:28 PM
Jdforrester-WMF removed a project: Patch-For-Review.